<?php
/**
* HTMLテキストエリアオブジェクトクラス
*
* PHP version 5
*
* @package    core
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class HTMLTextAreaObject  extends HTMLLeafObject
{
	private $_text;

	/*
	 *	コンストラクタ
	 */
	public function __construct( $text, $attributes = NULL  )
	{
		parent::__construct( 'textarea', $attributes );

		$this->_text = $text;
	}

	/*
	 *	HTML出力
	 */
	public function toHTML()
	{
		$conv = EncodingConverter::fromString( 'PHP_TO_HTML' );
		$text = $conv->convertEncoding( $this->_text );
		return parent::startTag() . $text . parent::endTag();
	}
}
